MCP Tools Reference: paydeveloper.googleapis.com

도구: validate_pass_jwt

패스의 JWT 표현 또는 패스의 JSON 문자열로 인코딩되지 않은 JWT 페이로드를 검증합니다.

다음 샘플에서는 curl을 사용하여 validate_pass_jwt MCP 도구를 호출하는 방법을 보여줍니다.

curl 요청
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "validate_pass_jwt",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

입력 스키마

패스의 JWT 표현 또는 패스의 JSON 문자열로 인코딩되지 않은 JWT 페이로드를 검증하기 위한 요청 메시지입니다.

ValidatePassJwtRequest

JSON 표현
{

  // Union field resource can be only one of the following:
  "passJwt": string,
  "passJson": string
  // End of list of possible types for union field resource.
}
필드
통합 필드 resource. 검증할 리소스입니다. 다음 중 하나를 설정해야 합니다. resource는 다음 중 하나여야 합니다.
passJwt

string

https://developers.google.com/wallet/reference/rest/v1/Jwt에 설명된 형식의 JWT 문자열 표현입니다.

passJson

string

https://developers.google.com/wallet/reference/rest/v1/Jwt에 설명된 형식의 패스에 대해 인코딩되지 않은 JWT 페이로드를 나타내는 JSON 문자열입니다. 이 링크에 설명된 전체 JSON 표현 또는 관련 패스 클래스 및 객체를 보유하는 페이로드 필드의 콘텐츠로 설정할 수 있습니다.

출력 스키마

패스의 JWT 표현 또는 패스의 JSON 문자열로 인코딩되지 않은 JWT 페이로드를 검증하기 위한 응답 메시지입니다.

도구 주석

파괴적 힌트: ❌ | 멱등성 힌트: ✅ | 읽기 전용 힌트: ✅ | 개방형 세계 힌트: ❌